cdac.medinfo.sdk.hl7282.baselibs.segments

## Class CER

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.CER

- All Implemented Interfaces:
    ISegment

      public class CER
      extends Segment

  CER - Certificate Detail Segment

  The CER segment adds detailed information regarding the formal authorizations to provide a service held by the health professional identified by the STF segment.

  Represents an HL7 CER message segment. This segment has the following fields:

  CER-1: Set ID _ CER (SI)Required
  CER-2: Serial Number (ST)Optional
  CER-3: Version (ST)Optional
  CER-4: Granting Authority (XON)Optional
  CER-5: Issuing Authority (XCN)Optional
  CER-6: Signature of Issuing Authority (ED)Optional
  CER-7: Granting Country (ID)Optional
  CER-8: Granting State/Province (CWE)Optional
  CER-9: Granting County/Parish (CWE)Optional
  CER-10: Certificate Type (CWE)Optional
  CER-11: Certificate Domain (CWE)Optional
  CER-12: Subject ID (EI)Optional
  CER-13: Subject Name (ST)Required
  CER-14: Subject Directory Attribute Extension (Health Professional Data) (CWE)Optional
  CER-15: Subject Public Key Info (CWE)Optional
  CER-16: Authority Key Identifier (CWE)Optional
  CER-17: Basic Constraint (ID)Optional
  CER-18: CRL Distribution Point (CWE)Optional
  CER-19: Jurisdiction Country (ID)Optional
  CER-20: Jurisdiction State/Province (CWE)Optional
  CER-21: Jurisdiction County/Parish (CWE)Optional
  CER-22: Jurisdiction Breadth (CWE)Optional
  CER-23: Granting Date (DTM)Optional
  CER-24: Issuing Date (DTM)Optional
  CER-25: Activation Date (DTM)Optional
  CER-26: Inactivation Date (DTM)Optional
  CER-27: Expiration Date (DTM)Optional
  CER-28: Renewal Date (DTM)Optional
  CER-29: Revocation Date (DTM)Optional
  CER-30: Revocation Reason Code (CWE)Optional
  CER-31: Certificate Status (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CER()` Constructs the CER segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCRLDistributionPoint(CWE objcRLDistributionPoint)` Add the CRL Distribution Point.
    `void` | `addCRLDistributionPoint(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the CRL Distribution Point.
    `void` | `addJurisdictionBreadth(CWE objjurisdictionBreadth)` Add the Jurisdiction Breadth.
    `void` | `addJurisdictionBreadth(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Jurisdiction Breadth.
    `void` | `addSubjectDirectoryAttributeExtension(CWE objsubjectDirectoryAttributeExtension)` Add the Subject Directory Attribute Extension.
    `void` | `addSubjectDirectoryAttributeExtension(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Subject Directory Attribute Extension.
    `DTM` | `getActivationDate()` Retrieves the Activation Date.
    `CWE` | `getAuthorityKeyIdentifier()` Retrieves the Authority Key Identifier.
    `ID` | `getBasicConstraint()` Retrieves the Basic Constraints.
    `CWE` | `getCertificateDomain()` Retrieves the Certificate Domain.
    `CWE` | `getCertificateStatus()` Retrieves the Certificate Status.
    `CWE` | `getCertificateType()` Retrieves the Certificate Type.
    `ISingleCollection<CWE>` | `getCRLDistributionPoint()` Retrieves the CRL Distribution Point.
    `DTM` | `getExpirationDate()` Retrieves the Expiration Date.
    `XON` | `getGrantingAuthority()` Retrieves the Granting Authority.
    `ID` | `getGrantingCountry()` Retrieves the Granting Country.
    `CWE` | `getGrantingCounty_Parish()` Retrieves the Granting County Parish.
    `DTM` | `getGrantingDate()` Retrieves the Granting Date.
    `CWE` | `getGrantingState_Province()` Retrieves the Granting State Province.
    `DTM` | `getInactivationDate()` Retrieves the Inactivation Date.
    `XCN` | `getIssuingAuthority()` Retrieves the Issuing Authority.
    `DTM` | `getIssuingDate()` Retrieves the Issuing Date.
    `ISingleCollection<CWE>` | `getJurisdictionBreadth()` Retrieves the Jurisdiction Breadth.
    `ID` | `getJurisdictionCountry()` Retrieves the Jurisdiction Country.
    `CWE` | `getJurisdictionCounty_Parish()` Retrieves the Jurisdiction County Parish.
    `CWE` | `getJurisdictionState_Province()` Retrieves the Jurisdiction State Province.
    `DTM` | `getRenewalDate()` Retrieves the Renewal Date.
    `DTM` | `getRevocationDate()` Retrieves the Revocation Date.
    `CWE` | `getRevocationReasonCode()` Retrieves the Revocation Reason Code.
    `ST` | `getSerialNumber()` Retrieves the Serial Number.
    `SI` | `getSetID_CER()` Retrieves the Set ID CER.
    `ED` | `getSignatureofIssuingAuthority()` Retrieves the Signature of Issuing Authority.
    `ISingleCollection<CWE>` | `getSubjectDirectoryAttributeExtension()` Retrieves the Subject Directory Attribute Extension.
    `EI` | `getSubjectID()` Retrieves the Subject ID.
    `ST` | `getSubjectName()` Retrieves the Subject Name.
    `CWE` | `getSubjectPublicKeyInfo()` Retrieves the Subject Public Key Info.
    `ST` | `getVersion()` Retrieves the Version.
    `void` | `setActivationDate(DTM objactivationDate)` Set the Activation Date.
    `void` | `setActivationDate(java.lang.String strTime)` Set the Activation Date.
    `void` | `setAuthorityKeyIdentifier(CWE objauthorityKeyIdentifier)` Set the Authority Key Identifier.
    `void` | `setAuthorityKeyIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Authority Key Identifier.
    `void` | `setBasicConstraint(ID objbasicConstraint)` Set the Basic Constraints.
    `void` | `setBasicConstraint(java.lang.String strBasicConstraint)` Set the Basic Constraints.
    `void` | `setCertificateDomain(CWE objcertificateDomain)` Set the Certificate Domain.
    `void` | `setCertificateDomain(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Certificate Domain.
    `void` | `setCertificateStatus(CWE objcertificateStatus)` Set the Certificate Status.
    `void` | `setCertificateStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Certificate Status.
    `void` | `setCertificateType(CWE objcertificateType)` Set the Certificate Type.
    `void` | `setCertificateType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Certificate Type.
    `void` | `setCRLDistributionPoint(ISingleCollection<CWE> objcRLDistributionPointList)` Set the CRL Distribution Point.
    `void` | `setExpirationDate(DTM objexpirationDate)` Set the Expiration Date.
    `void` | `setExpirationDate(java.lang.String strTime)` Set the Expiration Date.
    `void` | `setGrantingAuthority(java.lang.String strOrganizationName, java.lang.String strOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Granting Authority.
    `void` | `setGrantingAuthority(XON objgrantingAuthority)` Set the Granting Authority.
    `void` | `setGrantingCountry(ID objgrantingCountry)` Set the Granting Country.
    `void` | `setGrantingCountry(java.lang.String strGrantingCountry)` Set the Granting Country.
    `void` | `setGrantingCounty_Parish(CWE objgrantingCounty_Parish)` Set the Granting County Parish.
    `void` | `setGrantingCounty_Parish(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Granting County Parish.
    `void` | `setGrantingDate(DTM objgrantingDate)` Set the Granting Date.
    `void` | `setGrantingDate(java.lang.String strTime)` Set the Granting Date.
    `void` | `setGrantingState_Province(CWE objgrantingState_Province)` Set the Granting State Province.
    `void` | `setGrantingState_Province(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Granting State Province.
    `void` | `setInactivationDate(DTM objinactivationDate)` Set the Inactivation Date.
    `void` | `setInactivationDate(java.lang.String strTime)` Set the Inactivation Date.
    `void` | `setIssuingAuthority(java.lang.String strIdNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondNameOrInitials, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment)` Set the Issuing Authority.
    `void` | `setIssuingAuthority(XCN objissuingAuthority)` Set the Issuing Authority.
    `void` | `setIssuingDate(DTM objissuingDate)` Set the Issuing Date.
    `void` | `setIssuingDate(java.lang.String strTime)` Set the Issuing Date.
    `void` | `setJurisdictionBreadth(ISingleCollection<CWE> objjurisdictionBreadthList)` Set the Jurisdiction Breadth.
    `void` | `setJurisdictionCountry(ID objjurisdictionCountry)` Set the Jurisdiction Country.
    `void` | `setJurisdictionCountry(java.lang.String strJurisdictionCountry)` Set the Jurisdiction Country.
    `void` | `setJurisdictionCounty_Parish(CWE objjurisdictionCounty_Parish)` Set the Jurisdiction County Parish.
    `void` | `setJurisdictionCounty_Parish(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Jurisdiction County Parish.
    `void` | `setJurisdictionState_Province(CWE objjurisdictionState_Province)` Set the Jurisdiction State Province.
    `void` | `setJurisdictionState_Province(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Jurisdiction State Province.
    `void` | `setRenewalDate(DTM objrenewalDate)` Set the Renewal Date.
    `void` | `setRenewalDate(java.lang.String strTime)` Set the Renewal Date.
    `void` | `setRevocationDate(DTM objrevocationDate)` Set the Revocation Date.
    `void` | `setRevocationDate(java.lang.String strTime)` Set the Revocation Date.
    `void` | `setRevocationReasonCode(CWE objrevocationReasonCode)` Set the Revocation Reason Code.
    `void` | `setRevocationReasonCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Revocation Reason Code.
    `void` | `setSerialNumber(ST objserialNumber)` Set the Serial Number.
    `void` | `setSerialNumber(java.lang.String strSerialNumber)` Set the Serial Number.
    `void` | `setSetID_CER(SI objsetID_CER)` Set the Set ID CER.
    `void` | `setSetID_CER(java.lang.String strSetID_CER)` Set the Set ID CER.
    `void` | `setSignatureofIssuingAuthority(ED objsignatureofIssuingAuthority)` Set the Signature of Issuing Authority.
    `void` | `setSignatureofIssuingAuthority(HD objSourceApplication, java.lang.String strTypeOfData, java.lang.String strDataSubtype, java.lang.String strEncoding, java.lang.String strData)` Set the Signature of Issuing Authority.
    `void` | `setSubjectDirectoryAttributeExtension(ISingleCollection<CWE> objsubjectDirectoryAttributeExtensionList)` Set the Subject Directory Attribute Extension.
    `void` | `setSubjectID(EI objsubjectID)` Set the Subject ID.
    `void` | `setSubjectID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Subject ID.
    `void` | `setSubjectName(ST objsubjectName)` Set the Subject Name.
    `void` | `setSubjectName(java.lang.String strSubjectName)` Set the Subject Name.
    `void` | `setSubjectPublicKeyInfo(CWE objsubjectPublicKeyInfo)` Set the Subject Public Key Info.
    `void` | `setSubjectPublicKeyInfo(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Subject Public Key Info.
    `void` | `setVersion(ST objversion)` Set the Version.
    `void` | `setVersion(java.lang.String strVersion)` Set the Version.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CER

          public CER()

      Constructs the CER segment.

  - ### Method Detail

    - #### getActivationDate

          public DTM getActivationDate()

      Retrieves the Activation Date. This field contain the date/time when the certificate become or will become active.
      Returns:
        DTM - activationDate

    - #### getAuthorityKeyIdentifier

          public CWE getAuthorityKeyIdentifier()

      Retrieves the Authority Key Identifier. This field identify the public key to be used to verify the signature of the certificate.
      Returns:
        CWE - authorityKeyIdentifier

    - #### getBasicConstraint

          public ID getBasicConstraint()

      Retrieves the Basic Constraints. This field specify the extension contains a boolean used to specify whether the subject can act as a CA(certificate authority), using the certified key to sign certificates or not.
      Returns:
        ID - basicConstraint

    - #### getCertificateDomain

          public CWE getCertificateDomain()

      Retrieves the Certificate Domain. This field specify the subject area to which the certificate is applicable.
      Returns:
        CWE - certificateDomain

    - #### getCertificateStatus

          public CWE getCertificateStatus()

      Retrieves the Certificate Status. This field contains the state of the certificate held by the health professional.
      Returns:
        CWE - certificateStatus

    - #### getCertificateType

          public CWE getCertificateType()

      Retrieves the Certificate Type. This field specify the certificate's classification.
      Returns:
        CWE - certificateType

    - #### getCRLDistributionPoint

          public ISingleCollection<CWE> getCRLDistributionPoint()

      Retrieves the CRL Distribution Point. This field specify the Certificate Revocation List(CRL) Distribution Point to identify the location of the associated CRL.
      Returns:
        ISingleCollection - cRLDistributionPoint

    - #### getExpirationDate

          public DTM getExpirationDate()

      Retrieves the Expiration Date. This field contains the date/time when the certificate expires or will expire.
      Returns:
        DTM - expirationDate

    - #### getGrantingAuthority

          public XON getGrantingAuthority()

      Retrieves the Granting Authority. This field specify the authority that granted the certificate to the person.
      Returns:
        XON - grantingAuthority

    - #### getGrantingCountry

          public ID getGrantingCountry()

      Retrieves the Granting Country. This field specify the ID of the country granting the certificate.
      Returns:
        ID - grantingCountry

    - #### getGrantingCounty_Parish

          public CWE getGrantingCounty_Parish()

      Retrieves the Granting County Parish.
      Returns:
        CWE - grantingCounty_Parish

    - #### getGrantingDate

          public DTM getGrantingDate()

      Retrieves the Granting Date. This field contains the date when the certificate is granting.
      Returns:
        DTM - grantingDate

    - #### getGrantingState_Province

          public CWE getGrantingState_Province()

      Retrieves the Granting State Province.
      Returns:
        CWE - grantingState_Province

    - #### getInactivationDate

          public DTM getInactivationDate()

      Retrieves the Inactivation Date. This field contains the date/time when the certificate become or will become inactive.
      Returns:
        DTM - inactivationDate

    - #### getIssuingAuthority

          public XCN getIssuingAuthority()

      Retrieves the Issuing Authority. This field specify the authority that issued the certificate to the person.
      Returns:
        XCN - issuingAuthority

    - #### getIssuingDate

          public DTM getIssuingDate()

      Retrieves the Issuing Date. This field contains the date/time when the certificate is issue.
      Returns:
        DTM - issuingDate

    - #### getJurisdictionBreadth

          public ISingleCollection<CWE> getJurisdictionBreadth()

      Retrieves the Jurisdiction Breadth. This field contains the breadth/extent of the jurisdiction where the qualification is valid.
      Returns:
        ISingleCollection - jurisdictionBreadth

    - #### getJurisdictionCountry

          public ID getJurisdictionCountry()

      Retrieves the Jurisdiction Country. This field contains the country for which the qualification is valid.
      Returns:
        ID - jurisdictionCountry

    - #### getJurisdictionCounty_Parish

          public CWE getJurisdictionCounty_Parish()

      Retrieves the Jurisdiction County Parish. This field contains the county/parish for which the qualification is valid.
      Returns:
        CWE - jurisdictionCounty_Parish

    - #### getJurisdictionState_Province

          public CWE getJurisdictionState_Province()

      Retrieves the Jurisdiction State Province. This field contains the state for which the qualification is valid.
      Returns:
        CWE - jurisdictionState_Province

    - #### getRenewalDate

          public DTM getRenewalDate()

      Retrieves the Renewal Date. This field contains the date/time when the certificate must/will/ be / has been renewed.
      Returns:
        DTM - renewalDate

    - #### getRevocationDate

          public DTM getRevocationDate()

      Retrieves the Revocation Date. This field contains the date/time when the certificate has been revoked.
      Returns:
        DTM - revocationDate

    - #### getRevocationReasonCode

          public CWE getRevocationReasonCode()

      Retrieves the Revocation Reason Code. This field contains the reason for revoking the certificate.
      Returns:
        CWE - revocationReasonCode

    - #### getSerialNumber

          public ST getSerialNumber()

      Retrieves the Serial Number. This field uniquely identify the attribute certificate within the scope of its issuer.
      Returns:
        ST - serialNumber

    - #### getSetID_CER

          public SI getSetID_CER()

      Retrieves the Set ID CER. This field contains the number that identify this transaction.
      Returns:
        SI - setID_CER

    - #### getSignatureofIssuingAuthority

          public ED getSignatureofIssuingAuthority()

      Retrieves the Signature of Issuing Authority.
      Returns:
        ED - signatureofIssuingAuthority

    - #### getSubjectDirectoryAttributeExtension

          public ISingleCollection<CWE> getSubjectDirectoryAttributeExtension()

      Retrieves the Subject Directory Attribute Extension. This field contain an Healthcare Professional Role attribute and may contain a Qualified Certificate Statement attribute.
      Returns:
        ISingleCollection - subjectDirectoryAttributeExtension

    - #### getSubjectID

          public EI getSubjectID()

      Retrieves the Subject ID. This field expresses the identifier of the certificate's subject as used by the certifying body.
      Returns:
        ID - subjectID

    - #### getSubjectName

          public ST getSubjectName()

      Retrieves the Subject Name. This field defines the name of the subject of the certificate as used by the certifying body.
      Returns:
        ST - subjectName

    - #### getSubjectPublicKeyInfo

          public CWE getSubjectPublicKeyInfo()

      Retrieves the Subject Public Key Info. This field contains the algorithm identifier. Referred to this field.
      Returns:
        CWE - subjectPublicKeyInfo

    - #### getVersion

          public ST getVersion()

      Retrieves the Version. This field specify the version number differentiates among different versions of the attribute certificate.
      Returns:
        ST - version

    - #### setSetID_CER

          public void setSetID_CER(java.lang.String strSetID_CER)

      Set the Set ID CER. This field contains the number that identify this transaction.
      Parameters:
        `strSetID_CER` - This field contains the number that identifies AFF transaction.

    - #### setSetID_CER

          public void setSetID_CER(SI objsetID_CER)

      Set the Set ID CER. This field contains the number that identify this transaction.
      Parameters:
        `objsetID_CER` - Object of Set ID CER.

    - #### setSerialNumber

          public void setSerialNumber(java.lang.String strSerialNumber)

      Set the Serial Number. This field uniquely identify the attribute certificate within the scope of its issuer.
      Parameters:
        `strSerialNumber` - String value of Serial Number.

    - #### setSerialNumber

          public void setSerialNumber(ST objserialNumber)

      Set the Serial Number. This field uniquely identify the attribute certificate within the scope of its issuer.
      Parameters:
        `objserialNumber` - Object of Serial Number.

    - #### setVersion

          public void setVersion(java.lang.String strVersion)

      Set the Version. This field specify the version number differentiates among different versions of the attribute certificate.
      Parameters:
        `strVersion` - String value of Version.

    - #### setVersion

          public void setVersion(ST objversion)

      Set the Version. This field specify the version number differentiates among different versions of the attribute certificate.
      Parameters:
        `strVersion` - String value of Version.

    - #### setGrantingAuthority

          public void setGrantingAuthority(java.lang.String strOrganizationName,
                                  java.lang.String strOrganizationNameTypeCode,
                                  HD objAssigningAuthority,
                                  java.lang.String strIdentifierTypeCode,
                                  HD objAssigningFacility,
                                  java.lang.String strNameRepresentationCode,
                                  java.lang.String strOrganizationIdentifier)

      Set the Granting Authority. This field specify the authority that granted the certificate to the person.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `strIdNumber` - It has been retained for backward compatibility only as of v 2.5. It is recommended to use component 10 Organization identifier that accommodates alphanumeric identifiers.
        `strCheckDigit` - Specifies check digit that is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setGrantingAuthority

          public void setGrantingAuthority(XON objgrantingAuthority)

      Set the Granting Authority. This field specify the authority that granted the certificate to the person.
      Parameters:
        `objgrantingAuthority` - Object of Granting Authority.

    - #### setIssuingAuthority

          public void setIssuingAuthority(java.lang.String strIdNumber,
                                 FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondNameOrInitials,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 java.lang.String strSourceTable,
                                 HD objAssigningAuthority,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strIdentifierCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 DTM objEffectiveDate,
                                 DTM objExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepartment)

      Set the Issuing Authority. This field specify the authority that issued the certificate to the person.
      Parameters:
        `strIdNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondNameOrInitials` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies the agency or department that assigned the identifier

    - #### setIssuingAuthority

          public void setIssuingAuthority(XCN objissuingAuthority)

      Set the Issuing Authority. This field specify the authority that issued the certificate to the person.
      Parameters:
        `objissuingAuthority` - Object of Issuing Authority.

    - #### setSignatureofIssuingAuthority

          public void setSignatureofIssuingAuthority(HD objSourceApplication,
                                            java.lang.String strTypeOfData,
                                            java.lang.String strDataSubtype,
                                            java.lang.String strEncoding,
                                            java.lang.String strData)

      Set the Signature of Issuing Authority.
      Parameters:
        `objSourceApplication` - Specifies A unique name that identifies the system which was the source of the data.
        `strTypeOfData` - Specifies an ID data type that declares the general type of data.
        `strDataSubtype` - Specifies an ID data type declaring the format for the data of subcomponent
        .
        `strEncoding` - Specifies the type of encoding used to represent successive octets of binary data as displayable ASCII characters. [Refer to HL7 Table 0299 - Encoding] Valid values A,Hex,Base64.
        `strData` - Specifies displayable ASCII characters which constitute the data to be sent from source application to destination application.

    - #### setSignatureofIssuingAuthority

          public void setSignatureofIssuingAuthority(ED objsignatureofIssuingAuthority)

      Set the Signature of Issuing Authority.
      Parameters:
        `objsignatureofIssuingAuthority` - Object of Signature of Issuing Authority.

    - #### setGrantingCountry

          public void setGrantingCountry(java.lang.String strGrantingCountry)

      Set the Granting Country. This field specify the ID of the country granting the certificate.
      Parameters:
        `strGrantingCountry` - String shows the action to be taken .

    - #### setGrantingCountry

          public void setGrantingCountry(ID objgrantingCountry)

      Set the Granting Country. This field specify the ID of the country granting the certificate.
      Parameters:
        `objgrantingCountry` - Object of Granting Country.

    - #### setGrantingState_Province

          public void setGrantingState_Province(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Granting State Province.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGrantingState_Province

          public void setGrantingState_Province(CWE objgrantingState_Province)

      Set the Granting State Province.
      Parameters:
        `objgrantingState_Province` - Object of Granting State Province.

    - #### setGrantingCounty_Parish

          public void setGrantingCounty_Parish(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Granting County Parish.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGrantingCounty_Parish

          public void setGrantingCounty_Parish(CWE objgrantingCounty_Parish)

      Set the Granting County Parish.
      Parameters:
        `objgrantingCounty_Parish` - Object of Granting County Parish.

    - #### setCertificateType

          public void setCertificateType(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Certificate Type. This field specify the certificate's classification.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCertificateType

          public void setCertificateType(CWE objcertificateType)

      Set the Certificate Type. This field specify the certificate's classification.
      Parameters:
        `objcertificateType` - Object of Certificate Type.

    - #### setCertificateDomain

          public void setCertificateDomain(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Certificate Domain. This field specify the subject area to which the certificate is applicable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCertificateDomain

          public void setCertificateDomain(CWE objcertificateDomain)

      Set the Certificate Domain. This field specify the subject area to which the certificate is applicable.
      Parameters:
        `objcertificateDomain` - Object of Certificate Domain.

    - #### setSubjectID

          public void setSubjectID(java.lang.String strEntityIdentifier,
                          java.lang.String strNamespaceId,
                          java.lang.String strUniversalId,
                          java.lang.String strUniversalIdType)

      Set the Subject ID. This field expresses the identifier of the certificate's subject as used by the certifying body.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setSubjectID

          public void setSubjectID(EI objsubjectID)

      Set the Subject ID. This field expresses the identifier of the certificate's subject as used by the certifying body.
      Parameters:
        `objsubjectID` - Object of Subject ID.

    - #### setSubjectName

          public void setSubjectName(java.lang.String strSubjectName)

      Set the Subject Name. This field defines the name of the subject of the certificate as used by the certifying body.
      Parameters:
        `strSubjectName` - String value of PriorityARQ

    - #### setSubjectName

          public void setSubjectName(ST objsubjectName)

      Set the Subject Name. This field defines the name of the subject of the certificate as used by the certifying body.
      Parameters:
        `objsubjectName` - Object of Subject Name.

    - #### addSubjectDirectoryAttributeExtension

          public void addSubjectDirectoryAttributeExtension(java.lang.String strIdentifier,
                                                   java.lang.String strText,
                                                   java.lang.String strNameOfCodingSystem,
                                                   java.lang.String strAlternateIdentifier,
                                                   java.lang.String strAlternateText,
                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                   java.lang.String strCodingSystemVersionID,
                                                   java.lang.String strAlternateCodingSystemVersionId,
                                                   java.lang.String strOriginalText,
                                                   java.lang.String strSecondAlternateIdentifier,
                                                   java.lang.String strSecondAlternateText,
                                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                   java.lang.String strCodingSystemOID,
                                                   java.lang.String strValueSetOID,
                                                   java.lang.String strValueSetVersionID,
                                                   java.lang.String strAlternateCodingSystemOID,
                                                   java.lang.String strAlternateValueSetOID,
                                                   java.lang.String strAlternateValueSetVersionID,
                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                   java.lang.String strSecondAlternateValueSetOID,
                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Subject Directory Attribute Extension. This field contain an Healthcare Professional Role attribute and may contain a Qualified Certificate Statement attribute.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSubjectDirectoryAttributeExtension

          public void addSubjectDirectoryAttributeExtension(CWE objsubjectDirectoryAttributeExtension)

      Add the Subject Directory Attribute Extension. This field contain an Healthcare Professional Role attribute and may contain a Qualified Certificate Statement attribute.
      Parameters:
        `objsubjectDirectoryAttributeExtension` - Object of Subject Directory Attribute Extension.

    - #### setSubjectDirectoryAttributeExtension

          public void setSubjectDirectoryAttributeExtension(ISingleCollection<CWE> objsubjectDirectoryAttributeExtensionList)

      Set the Subject Directory Attribute Extension. This field contain an Healthcare Professional Role attribute and may contain a Qualified Certificate Statement attribute.
      Parameters:
        `objsubjectDirectoryAttributeExtensionList` - List of Subject Directory Attribute Extension.

    - #### setSubjectPublicKeyInfo

          public void setSubjectPublicKeyInfo(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Subject Public Key Info. This field contains the algorithm identifier. Referred to this field.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSubjectPublicKeyInfo

          public void setSubjectPublicKeyInfo(CWE objsubjectPublicKeyInfo)

      Set the Subject Public Key Info. This field contains the algorithm identifier. Referred to this field.
      Parameters:
        `objsubjectPublicKeyInfo` - Object of Subject Public Key Info.

    - #### setAuthorityKeyIdentifier

          public void setAuthorityKeyIdentifier(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Authority Key Identifier. This field identify the public key to be used to verify the signature of the certificate.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAuthorityKeyIdentifier

          public void setAuthorityKeyIdentifier(CWE objauthorityKeyIdentifier)

      Set the Authority Key Identifier. This field identify the public key to be used to verify the signature of the certificate.
      Parameters:
        `objauthorityKeyIdentifier` - Object of Authority Key Identifier.

    - #### setBasicConstraint

          public void setBasicConstraint(java.lang.String strBasicConstraint)

      Set the Basic Constraints. This field specify the extension contains a boolean used to specify whether the subject can act as a CA(certificate authority), using the certified key to sign certificates or not.
      Parameters:
        `strBasicConstraint` - String shows the action to be taken .

    - #### setBasicConstraint

          public void setBasicConstraint(ID objbasicConstraint)

      Set the Basic Constraints. This field specify the extension contains a boolean used to specify whether the subject can act as a CA(certificate authority), using the certified key to sign certificates or not.
      Parameters:
        `objbasicConstraint` - Object of Basic Constraints.

    - #### addCRLDistributionPoint

          public void addCRLDistributionPoint(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the CRL Distribution Point. This field specify the Certificate Revocation List(CRL) Distribution Point to identify the location of the associated CRL.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCRLDistributionPoint

          public void addCRLDistributionPoint(CWE objcRLDistributionPoint)

      Add the CRL Distribution Point. This field specify the Certificate Revocation List(CRL) Distribution Point to identify the location of the associated CRL.
      Parameters:
        `objcRLDistributionPoint` - Object of CRL Distribution Point.

    - #### setCRLDistributionPoint

          public void setCRLDistributionPoint(ISingleCollection<CWE> objcRLDistributionPointList)

      Set the CRL Distribution Point. This field specify the Certificate Revocation List(CRL) Distribution Point to identify the location of the associated CRL.
      Parameters:
        `objcRLDistributionPointList` - List of CRL Distribution Point.

    - #### setJurisdictionCountry

          public void setJurisdictionCountry(java.lang.String strJurisdictionCountry)

      Set the Jurisdiction Country. This field contains the country for which the qualification is valid.
      Parameters:
        `strJurisdictionCountry` - String shows the action to be taken .

    - #### setJurisdictionCountry

          public void setJurisdictionCountry(ID objjurisdictionCountry)

      Set the Jurisdiction Country. This field contains the country for which the qualification is valid.
      Parameters:
        `objjurisdictionCountry` - Object of Jurisdiction Country.

    - #### setJurisdictionState_Province

          public void setJurisdictionState_Province(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Jurisdiction State Province. This field contains the state for which the qualification is valid.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setJurisdictionState_Province

          public void setJurisdictionState_Province(CWE objjurisdictionState_Province)

      Set the Jurisdiction State Province. This field contains the state for which the qualification is valid.
      Parameters:
        `objjurisdictionState_Province` - Object of Jurisdiction State Province.

    - #### setJurisdictionCounty_Parish

          public void setJurisdictionCounty_Parish(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Jurisdiction County Parish. This field contains the county/parish for which the qualification is valid.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setJurisdictionCounty_Parish

          public void setJurisdictionCounty_Parish(CWE objjurisdictionCounty_Parish)

      Set the Jurisdiction County Parish. This field contains the county/parish for which the qualification is valid.
      Parameters:
        `objjurisdictionCounty_Parish` - Object of Jurisdiction County Parish.

    - #### addJurisdictionBreadth

          public void addJurisdictionBreadth(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Jurisdiction Breadth. This field contains the breadth/extent of the jurisdiction where the qualification is valid.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addJurisdictionBreadth

          public void addJurisdictionBreadth(CWE objjurisdictionBreadth)

      Add the Jurisdiction Breadth. This field contains the breadth/extent of the jurisdiction where the qualification is valid.
      Parameters:
        `objjurisdictionBreadth` - Object of Jurisdiction Breadth.

    - #### setJurisdictionBreadth

          public void setJurisdictionBreadth(ISingleCollection<CWE> objjurisdictionBreadthList)

      Set the Jurisdiction Breadth. This field contains the breadth/extent of the jurisdiction where the qualification is valid.
      Parameters:
        `objjurisdictionBreadthList` - List of Jurisdiction Breadth.

    - #### setGrantingDate

          public void setGrantingDate(java.lang.String strTime)

      Set the Granting Date. This field contains the date when the certificate is granting.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setGrantingDate

          public void setGrantingDate(DTM objgrantingDate)

      Set the Granting Date. This field contains the date when the certificate is granting.
      Parameters:
        `objgrantingDate` - Object of Granting Date.

    - #### setIssuingDate

          public void setIssuingDate(java.lang.String strTime)

      Set the Issuing Date. This field contains the date/time when the certificate is issue.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setIssuingDate

          public void setIssuingDate(DTM objissuingDate)

      Set the Issuing Date. This field contains the date/time when the certificate is issue.
      Parameters:
        `objissuingDate` - Object of Issuing Date.

    - #### setActivationDate

          public void setActivationDate(java.lang.String strTime)

      Set the Activation Date. This field contain the date/time when the certificate become or will become active.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setActivationDate

          public void setActivationDate(DTM objactivationDate)

      Set the Activation Date. This field contain the date/time when the certificate become or will become active.
      Parameters:
        `objactivationDate` - Object of Activation Date.

    - #### setInactivationDate

          public void setInactivationDate(java.lang.String strTime)

      Set the Inactivation Date. This field contains the date/time when the certificate become or will become inactive.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setInactivationDate

          public void setInactivationDate(DTM objinactivationDate)

      Set the Inactivation Date. This field contains the date/time when the certificate become or will become inactive.
      Parameters:
        `objinactivationDate` - Object of Inactivation Date.

    - #### setExpirationDate

          public void setExpirationDate(java.lang.String strTime)

      Set the Expiration Date. This field contains the date/time when the certificate expires or will expire.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setExpirationDate

          public void setExpirationDate(DTM objexpirationDate)

      Set the Expiration Date. This field contains the date/time when the certificate expires or will expire.
      Parameters:
        `objexpirationDate` - Object of Expiration Date.

    - #### setRenewalDate

          public void setRenewalDate(java.lang.String strTime)

      Set the Renewal Date. This field contains the date/time when the certificate must/will/ be / has been renewed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setRenewalDate

          public void setRenewalDate(DTM objrenewalDate)

      Set the Renewal Date. This field contains the date/time when the certificate must/will/ be / has been renewed.
      Parameters:
        `objrenewalDate` - Object of Renewal Date.

    - #### setRevocationDate

          public void setRevocationDate(java.lang.String strTime)

      Set the Revocation Date. This field contains the date/time when the certificate has been revoked.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setRevocationDate

          public void setRevocationDate(DTM objrevocationDate)

      Set the Revocation Date. This field contains the date/time when the certificate has been revoked.
      Parameters:
        `objrevocationDate` - Object of Revocation Date.

    - #### setRevocationReasonCode

          public void setRevocationReasonCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Revocation Reason Code. This field contains the reason for revoking the certificate.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRevocationReasonCode

          public void setRevocationReasonCode(CWE objrevocationReasonCode)

      Set the Revocation Reason Code. This field contains the reason for revoking the certificate.
      Parameters:
        `objrevocationReasonCode` - Object of Revocation Reason Code.

    - #### setCertificateStatus

          public void setCertificateStatus(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Certificate Status. This field contains the state of the certificate held by the health professional.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCertificateStatus

          public void setCertificateStatus(CWE objcertificateStatus)

      Set the Certificate Status. This field contains the state of the certificate held by the health professional.
      Parameters:
        `objcertificateStatus` - Object of Certificate Status.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.